> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shimli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Files to Researcher

> Endpoint PATCH /v1/researcher/ID_RESEARCHER

`PATCH` `/v1/researcher/ID_RESEARCHER`

## Body

```json theme={null}
{
  "files": [
    {
      "url": "URL_FILE|URL_WEB",
      "name": "NAME_FILE|NAME_WEB",
      "type": "document|photo|audio|url|video"
    }
  ]
}
```

## Autenticacion

Este endpoint requiere tu token de API. Incluyelo en el body como `token` o como query param `token`/`api-token`. Ve [Autenticacion](/getting-started/authentication) para mas detalles.

## Ejemplo de request

```bash theme={null}
curl -X PATCH https://api.shimli.app/v1/researcher/ID_RESEARCHER \
  -H "Content-Type: application/json" \
  -d '{
    "files": [
        {
            "url": "URL_FILE|URL_WEB",
            "name": "NAME_FILE|NAME_WEB",
            "type": "document|photo|audio|url|video"
        }
    ]
}'
```

## Respuesta

```json title="200 OK" theme={null}
{
  "statusCode": 200,
  "body": {
    "err": false
  }
}
```
